Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine.cron
Class RuntimeDataCleanupRunnable

    java.lang.Object
      org.apache.ode.bpel.engine.cron.RuntimeDataCleanupRunnable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, BpelServerImpl.ContextsAware, Scheduler.MapSerializableRunnable

    public class RuntimeDataCleanupRunnable

extends java.lang.Object
implements Scheduler.MapSerializableRunnable, BpelServerImpl.ContextsAware

See Also:
  Serialized Form

Constructor Summary
`RuntimeDataCleanupRunnable()`

Method Summary
`void` | `restoreFromDetailsMap(java.util.Map<java.lang.String,java.lang.Object> details)`
`void` | `run()`
`void` | `setContexts(Contexts contexts)`
`void` | `storeToDetailsMap(java.util.Map<java.lang.String,java.lang.Object> details)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeDataCleanupRunnable

    public RuntimeDataCleanupRunnable()

Method Detail

### restoreFromDetailsMap

    public void restoreFromDetailsMap(java.util.Map<java.lang.String,java.lang.Object> details)

  Specified by:
    `restoreFromDetailsMap` in interface `Scheduler.MapSerializableRunnable`

### storeToDetailsMap

    public void storeToDetailsMap(java.util.Map<java.lang.String,java.lang.Object> details)

  Specified by:
    `storeToDetailsMap` in interface `Scheduler.MapSerializableRunnable`

### setContexts

    public void setContexts(Contexts contexts)

  Specified by:
    `setContexts` in interface `BpelServerImpl.ContextsAware`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD